<?php if(!defined('FastCore')){exit();} ?>
<!DOCTYPE html>
<html lang="ru">
<head>

	<meta charset="utf-8">
	<title>{!TITLE!} | <?=$config->sitename;?> - Рекламный сайт для заработка</title>
	<meta name="description" content="{!DESCRIPTION!}">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="dns-prefetch" href="https://fonts.googleapis.com">
	<link rel="dns-prefetch" href="https://ajax.googleapis.com">
	<link rel="dns-prefetch" href="https://www.google.com">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.12.0/css/all.css" crossorigin="anonymous">
	
	<!-- CSS -->
	<link rel="stylesheet" href="/css/bootstrap.min.css">
	<link rel="stylesheet" href="/css/splide.min.css">
	<link rel="stylesheet" href="/css/main.css">

	<!-- Icon font -->
	<link rel="stylesheet" href="/webfont/tabler-icons.min.css">

	<!-- Favicons -->
	<link rel="icon" type="image/png" href="/assets/images/favicon.svg" sizes="32x32">
	<link rel="apple-touch-icon" href="/assets/images/favicon.svg">



<script src="https://www.google.com/recaptcha/api.js"></script>
    <?php
 if(($_SERVER['REQUEST_URI'] !== '/reg')
and($_SERVER['REQUEST_URI'] != '/login')
and($_SERVER['REQUEST_URI'] != '/login/')
and($_SERVER['REQUEST_URI'] != '/restore')
and($_SERVER['REQUEST_URI'] != '/terms')
and($_SERVER['REQUEST_URI'] != '/earn')
) { 
?>
<?php
    } 
?>
<body class="body body--home">
	<!-- header -->
	<header class="header">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="header__content">
						<!-- btn -->
						<button class="header__btn" type="button" aria-label="header__nav">
							<span></span>
							<span></span>
							<span></span>
						</button>
						<!-- end btn -->

						<!-- logo -->
						<a href="/" class="header__logo">
							<img src="/img/logo.svg" alt="">
						</a>
						<!-- end logo -->

						<!-- tagline -->
						<span class="header__tagline"><?=$config->sitename;?> <br>Заработок и реклама</span>
						<!-- end tagline -->

						<!-- navigation -->
						<ul class="header__nav" id="header__nav">
							 
                            <li>
								<a href="/">Главная</a>
							</li>
					<li class="header__dropdown">
								<a class="dropdown-link" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">О проекте<i class="ti ti-point-filled"></i></a>

								<ul class="dropdown-menu header__dropdown-menu">
									<li><a href="/about">О нас</a></li>
									<li><a href="/reviews">Отзывы</a></li>
									<li><a href="/terms">Правила</a></li>
									<li><a href="/earn">Заработок</a></li>
									<li><a href="/contest">Конкурсы</a></li>
								</ul>
							</li>		 
							
							<li>
								<a href="/news">Новости</a>
							</li>

						<!--	<li>
								<a href="/terms">Правила</a>
							</li>-->
                            <li>
								<a href="/stats">Статистика</a>
							</li>
							<li>
								<a href="/contacts">Контакты</a>
							</li>
						</ul>
						<?php if ($uid) : ?>
							<a href="/user/dashboard" class="header__profile">
							<i class="ti ti-user-circle"></i>
							<span>Мой аккаунт</span>
						</a>
						<?php endif;?>
                       <?php if (!$uid) : ?>
						<a href="/login" class="header__profile">
							<i class="ti ti-user-circle"></i>
							<span>Вход</span>
						</a>
						<a href="/reg" class="header__profile">
							<i class="ti ti-user-circle"></i>
							<span>Регистрация</span>
						</a>
						<?php endif;?>
					</div>
				</div>
			</div>
		</div>
	</header>
	<!-- end header -->