<?php if(!defined('FastCore')){exit('Opss!');}
# Заголовки
$opt = array(
'title' => 'Вход',
'description' => 'Заходи чаще и зарабатывай на просмотре рекламы, и получай ежедневный бонус.');

# Код гугл Рекапчи
$gCaptcha = '6LcgcEYpAAAAAHjNo6ctbPYbStTdY86DJVFaaTv7';

if(isset($_SESSION['uid'])){ Header('Location: /user/dashboard'); return; }
?>
<div class="section section--content">
		<div class="section__content">
		<form action="" method="POST" class="form form--content">

<?php
# Форма входа
if (isset($_POST['auth2'])){

$login = $func->FLogin($_POST['email']);
$email = $func->FMail($_POST['email']);
$pass = $func->FPass($_POST['pass']);

# IP адрес
$ipGet = $func->ipGet();
$ip = $func->ipValid($ipGet);

if (empty($_POST['g-recaptcha-response'])) { $errors[] = 'Ошибка распознавания капчи! '; } 

# Если пустое поле
if(empty($_POST['email'] and $_POST['pass'])) { $errors[] = 'Не все поля заполнены!'; }

# Фильтрация данных
if (empty(filter_var($email, FILTER_VALIDATE_EMAIL) !== false) && empty($login)) { $errors[] = 'Email или Логин заполнен неверно'; }

# Ищем email / login
$users = $db->query('SELECT * FROM db_users WHERE email = ? OR login = ? LIMIT 1',array($email,$login))->fetchArray();

# Проверка email / login
if (!isset($users['email']) && $email) { $errors[] = 'Email не найден!'; }
if (!isset($users['login']) && $login) { $errors[] = 'Логин не найден!'; }

if (isset($users['pass'])) {
	# Проверка пароля
	if(strtolower($users['pass']) != strtolower($pass)) {
		$errors[] = 'Пароль не совпадает!';
	}
	# Если забанен
	if ($users['ban'] == 1) {
		$errors[] = 'Ваш аккаунт был заблокирован!';
	}
}

# Успешный вход
if (empty($errors)) {
	$time = time();
	$userID = $users['id'];
	$db->query('UPDATE db_users SET auth = ? WHERE id = ?',array($time, $userID));
	$db->query('UPDATE db_uips SET ip2 = ?, time = ? WHERE id = ?',array($ip, $time, $userID));
	$_SESSION['uid'] = $users['id'];
	$_SESSION['login'] = $users['login'];
	header('Location: /user/dashboard');return;
}
else {
	# Вывод ошибок
	echo '<div class="alert alert-dangerv"><i class="fa fa-warning"></i> '.array_shift($errors).'</div>';
	}
}
?>
<div class="form__logo-wrap">
					<a href="/" class="form__logo">
						<img src="/img/logo.svg" alt="">
					</a>
					<span class="form__tagline"><?=$config->sitename;?> <br>Реклама и заработок</span>
				</div>
				<div class="form__group">
					<input class="form__input" name="email" type="text" minlength="3" placeholder="Email или Логин" required />
				</div>

				<div class="form__group">
					<input class="form__input" name="pass" type="password" maxlength="55" minlength="6" placeholder="Введите пароль" required />
				</div>
                <center>
                  <div>
                   <script src="https://www.google.com/recaptcha/api.js" async defer></script>
                    <div align="center" class="g-recaptcha" data-sitekey="<?=$config->captcha;?>"></div>
                      </div>
	          </center> 
				<button class="form__btn" name="auth2" type="submit">Вход в аккаунт</button>

				<span class="form__delimiter"></span>
				<span class="form__text form__text--center"><a href="/restore">Забыли пароль?</a></span>
                <span class="form__text form__text--center"><a href="/reg">Создать аккаунт</a></span>
				<!-- design elements -->
				<span class="block-icon block-icon--purple">
					<i class="ti ti-logout"></i>
				</span>
				<span class="screw screw--big-tr"></span>
				<span class="screw screw--big-bl"></span>
				<span class="screw screw--big-br"></span>
			</form>
			<!-- end form -->
		</div>

		<!-- animation background -->
		<div class="section__canvas section__canvas--full section__canvas--third" id="canvas3"></div>
	</div>