<?php if (!defined('FastCore')) {
  echo ('Выявлена попытка взлома!');
  exit();
}
$opt['title'] = 'Квесты';
$opt['description'] = 'В данном разделе можно выполнить задания от Администрации.';
$opt['icon'] = 'fas fa-paste';
?>

 
<?php
$id = filter_var($pg->params[1], FILTER_VALIDATE_INT);
if ($pg->segment[2] === 'show' && $id == $pg->params[1]) {
  $db->query("SELECT * FROM `db_bounty` WHERE id = '$id' LIMIT 1");

  if ($db->numRows() != 1) {
    echo '<div class="alert alert-danger m-2">Данного задания не существует!</div>';
    return;
  }

  # Выводим онциормацию по заданию
  $db->query("SELECT * FROM db_bounty WHERE id = '$id' LIMIT 1");
  $task = $db->fetchArray();

  # Выводим онциормацию если задание выполнено или выполняется
  $db->query("SELECT * FROM db_bounty_list WHERE `uid` = '$uid' AND `id_bounty` = '$id' ORDER BY id DESC LIMIT 1");
  $task_bounty = $db->fetchArray();

  # Ищем есть ли задание в работе
  $db->query("SELECT * FROM db_bounty_list WHERE `uid` = '$uid' AND `id_bounty` = '$id' ORDER BY id DESC LIMIT 10");
  $num_bounty = $db->numRows();

  if (isset($_POST['add_reply'])) {
    $time = time();
    $reply = filter_var($_POST['reply'], FILTER_SANITIZE_STRING);
    if ($reply !== '') {
      if (strlen($reply) > 5 && strlen($reply) < 500) {

        if ($task['counts'] >= $num_bounty) {
          if ($user['sum_in'] >= 10) {
            # Создаем нового пользователя
            $db->query('INSERT INTO `db_bounty_list` (`id_bounty`, `uid`, `reply`, `date_add`, `status`) VALUES (?,?,?,?,?)', array($id, $uid, $reply, $time, '0'));
            echo '<div class="alert alert-success text-center">Вы успешно отослали отчет о выполнении, ожидайте пока администрация проверит его!</div>';

            header('Refresh: 5');
          } else {
            echo '<div class="alert alert-danger text-center">Что бы иметь возможность подавать отчёт, нужно пополнить баланс от 10 руб.</div>';
          }
        } else {
          echo '<div class="alert alert-danger text-center">Задание больше не доступно</div>';
        }
      } else {
        echo '<div class="alert alert-danger text-center">Минимальная длинна отчета 5 символов, максимальная 500!</div>';
      }
    } else {
      echo '<div class="alert alert-danger text-center">Вы не заполнили поле отчета!</div>';
    }
  }
?>

  <div class="card">
    <div class="">
      <div class="mb-3 shadow bg-color border-block">
        <div class="card-header-tab card-header bg-info"style="background-color: #40444f!important;color: #ffffff!important;">
          <div class="card-header-title">
            <i class="header-icon lnr-apartment fas fa-book-open icon-gradient bg-premium-dark"> </i>
            Название: <b class=""><?= $task['title']; ?></b>
          </div>
        </div>
        <div class="card-body">
          <h6><i class="fas fa-file-alt"></i> Описание: <b><?= $task['description']; ?></b></h6>
          <hr>
          <h6><i class="fa fa-file-signature"></i> В отчёте укажите: <b><?= $task['report']; ?></b></h6>
        </div>
      </div>
    </div>
    <div class="">
      <div class="mb-3 shadow bg-color border-block">
        <div class="card-header-tab card-header bg-warning"style="background-color: #40444f!important;color: #ffffff!important;">
          <div class="card-header-title">
            <i class="header-icon lnr-apartment fas fa-money-bill-wave icon-gradient bg-premium-dark"> </i>
            Оплата: <b class=""><?= $task['oplata']; ?> <span style=" font-size:9px" class="notranslate"> RUB</span></b>
          </div>
        </div>
        <div class="card-body text-center">
          <?
          if ($num_bounty >= $task['counts']) {
            if ($task_bounty['status'] == 1) {
              echo '<div class="alert alert-success text-center">Задание успешно выполнено, вам начислено ' . $task_bounty['sum'] . ' RUB!</div>';
            } else {
          ?>
              <form action="" method="POST">
                <h6 class="text-warning"><b>Дождитесь проверки задания администрацией!</b></h6>
                <textarea class="form-control" disabled><?= $task_bounty['reply']; ?></textarea>
              </form>
            <?  }
          } else {
            ?>
            <form action="" method="POST">
              <b>Заполните данные для отчета:</b>
              <textarea name="reply" class="form-control"></textarea>
              <button class="btn btn-dark mt-2 text-uppercase" name="add_reply">Отправить отчёт</button>
            </form>
            </div>
          <?
          }
          ?>
        </div>
      </div>
     </div>
   </div>
 
<?
  return;
} else if ($pg->segment[1]) {
?>

  <div class="">
    <div class="">
      <div class="alert text-center bg-dark border-block text-light shadow mb-3"style="background-color: #191c24!important;">
        Задание можно выполнить только один раз. <br>Оплата за выполненное задание начисляется на баланс Для Покупок.
      </div>
      <?
      #Выводим список заданий
      $list = $db->query('SELECT * FROM `db_bounty` ORDER BY id DESC')->fetchAll();
      foreach ($list as $task) {
      ?>

        <div class="row">
          <div class="col-lg-12 col-sm-12 col-md-12 col-xs-12">
            <div class="bg-color border-block shadow mb-3"style="background-color: #191c24!important;">


              <div class="row">
                <div class="col-lg-2 col-sm-0 col-md-2 col-xs-0 text-center">
                  <i class="fas fa-pencil-alt fa-3x header-icon pt-3 pl-4"></i>
                </div>

                <div class="col-lg-7 col-sm-8 col-md-7 col-xs-8">
                  <h4 class="pt-2 pl-2"><b><?= $task['title']; ?></b></h4>
                  <p class="pl-2"style="color: #f7f0dc;"><?= $task['description_task']; ?></p>
                </div>

                <div class="col-lg-3 col-sm-3 col-md-3 col-xs-3">
                  <div class="text-center bg-info pt-1">
                    <h4>Оплата: <b><?= $task['oplata']; ?></b> <span style=" font-size:9px" class="notranslate"> RUB</span></h4>
                    <form action="" method="POST">
                      <a href="/user/tasks/show/<?= $task['id']; ?>" class="btn btn-dark mb-2 text-uppercase">Посмотреть подробнее</a>
                    </form>
                  </div>
                </div>


              </div>

            </div>
          </div>
</div> 
      <?
      }
      ?>
    </div>
     
  <?
}
  ?>
  </div>
</div>