<?php
if(isset($_POST['edit'])){
	$surf_id = filter_var($_POST['surf_id'],FILTER_VALIDATE_INT);
	$title = filter_var($_POST['title'], FILTER_SANITIZE_STRING);
	$url = $func->validUrl(trim($_POST['url']));
	$url2 = filter_var($_POST['url2'], FILTER_SANITIZE_STRING);
	$timers = filter_var($_POST['timer'], FILTER_VALIDATE_INT);
	$vip = filter_var($_POST['vip'], FILTER_VALIDATE_INT);
	$reply = filter_var($_POST['reply'], FILTER_VALIDATE_INT);

	if($serf_id === FALSE && empty($data)){
		$data['error'] = 'Неверные данные!';
		$data['id'] = 'surf_id';
	}
	if($title === FALSE && empty($data)){
		$data['error'] = 'Неверно указано название!';
		$data['id'] = 'title';
	}
	if($url === FALSE && empty($data)){
		$data['error'] = 'Неверно указана ссылка!';
		$data['id'] = 'url';
	}
	if($url2 === FALSE && empty($data)){
		$data['error'] = 'Неверно указан код видео!';
		$data['id'] = 'url2';
	}
	if (mb_strlen($title) > 35) {
		$data['error'] = 'В поле Названия можно написать только 35 символов!';
		$data['id'] = '';
	}
	if (strlen($url) > 255) {
		$data['error'] = 'В поле URL можно написать только 255 символов!';
		$data['id'] = '';
	}
	if (strlen($url2) > 35) {
		$data['error'] = 'В поле код видео написать только 35 символов!';
		$data['id'] = '';
	}
	if ($timers === FALSE || $vip === FALSE || $reply === FALSE && empty($data)) {
		$data['error'] = 'Не удалось определить значение!';
		$data['id'] = '';
	}
	if (intval($vip > 1) || intval($reply > 1)) {
		$data['error'] = 'Такого значения не существует!';
		$data['id'] = '';
	}

    if(empty($data)){
       $numb =  $db->query("SELECT `uid` FROM `db_surfv` WHERE `id` = '$surf_id'")->numRows();
        if($numb > 0){
			$data_surf = $db->query("SELECT `uid`, `balance` FROM `db_surfv` WHERE `id` = '$surf_id'")->fetchArray();
			$owner = $data_surf['uid'];
            if($uid != $data_surf['uid'] && $uid != 1){
                $data['error'] = "Ссылка вам не преадлежит!";
            }
        }else{
            $data['error'] = 'Ссылка не существует!';
        }
    }
	if(!empty($data)){
		$data['status'] = 'error';
		$data['title'] = 'Ошибка';
		$data['redirect'] = '';
	}
	if(empty($data)){
	$surf = $db->query("SELECT * FROM `db_surfv_config` WHERE id = 1")->fetchArray();

	$timer = isset($_POST['timer']) ? (int)$_POST['timer'] : $surf['timer'];
	$timerArr = array($timer, $timer*2, $timer*3, $timer*4, $timer*5,$timer*6);

	if ($timer == 20) { $selTimer = $timerArr[0]; $buyTimer += $surf['timer_pay']; } 
	if ($timer == 40) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 2); } 
	if ($timer == 60) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 3); }
	if ($timer == 80) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 4); }
	if ($timer == 100) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 5); }
	if ($timer == 120) { $selTimer = $timerArr[0]; $buyTimer += ($surf['timer_pay'] * 6); }
	
	$priceTimer = number_format($buyTimer, 6, '.', ''); // Цена таймера
	$timerAd = $selTimer; // Таймер

	if ($vip == 1) { $priceVip = $surf['vip']; } else { $priceVip = 0.00; }
	if ($reply == 1) { $period = 48; } else { $period = 24; }

	$priceAd = $surf['price_click']+$priceTimer+$priceVip; // Цена рекламодателю
	$perAd = $surf['per_click']+$priceTimer; // Цена исполнителю

	$db->query("UPDATE `db_surfv` SET `title` = '$title',`url` = '$url', `url2` = '$url2', `timer` = '$timerAd', `vip` = '$vip', `reply` = '$period', `price_click` = '$priceAd', `per_click` = '$perAd', `status` = '2' WHERE `id` = '$surf_id'");

	$data['status'] = 'success';
	$data['title'] = 'Успешно';
	$data['error'] = 'Вы успешно отредактировали материал!';
	$data['redirect'] = '/user/vsurf/links';
	}
} else {
	$data['status'] = 'error';
	$data['title'] = 'Ошибка';
	$data['error'] = 'Ошибка данных';
	$data['redirect'] = '';
}
echo json_encode($data);