<?php if(!defined('FastCore')){exit();} ?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>{!TITLE!} | <?=$config->sitename;?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> 
    <link rel="icon" type="image/png" href="/icon/favicon-32x32.svg" sizes="32x32">
	<link rel="apple-touch-icon" href="/icon/favicon-32x32.svg">
	<link rel="stylesheet" href="/assets/css/argon.css?v=1.2.1" type="text/css">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.12.0/css/all.css" crossorigin="anonymous">
	
 
  <!-- plugins:css -->
    <link rel="stylesheet" href="/assets/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="assets/vendors/css/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- Plugin css for this page -->
    <link rel="stylesheet" href="/assets/vendors/jvectormap/jquery-jvectormap.css">
    <link rel="stylesheet" href="/assets/vendors/flag-icon-css/css/flag-icon.min.css">
    <link rel="stylesheet" href="/assets/vendors/owl-carousel-2/owl.carousel.min.css">
    <link rel="stylesheet" href="/assets/vendors/owl-carousel-2/owl.theme.default.min.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <!-- endinject -->
    <!-- Layout styles -->
    <link rel="stylesheet" href="/assets/css/style.css">
    <!-- End layout styles -->
    <link rel="shortcut icon" href="/assets/images/favicon.svg">

<?php if($pg->segment[1] == 'task' || $pg->segment[1] == 'rtask') { ?>
<link rel="stylesheet" type="text/css" href="/assets/mav/css/style.css?id=2" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<?php } ?>
 
    <?php
 if(($_SERVER['REQUEST_URI'] !== '/reg')
and($_SERVER['REQUEST_URI'] != '/user/daily')
and($_SERVER['REQUEST_URI'] != '/user/earn')
and($_SERVER['REQUEST_URI'] != '/user/surf/add')
and($_SERVER['REQUEST_URI'] != '/user/surf/edit')
and($_SERVER['REQUEST_URI'] != '/user/surf/links')
and($_SERVER['REQUEST_URI'] != '/user/vsurf')
and($_SERVER['REQUEST_URI'] != '/user/vsurf/add')
and($_SERVER['REQUEST_URI'] != '/user/vsurf/edit')
and($_SERVER['REQUEST_URI'] != '/user/vsurf/links')
) { 
?>
<?php
    } 
?>

<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

<body>
    
    <div class="container-scroller">
      <!-- partial:partials/_sidebar.html -->
      <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <div class="sidebar-brand-wrapper d-none d-lg-flex align-items-center justify-content-center fixed-top">
          <a class="sidebar-brand brand-logo" href="/user/dashboard"><img src="/assets/images/logo.png" alt="logo"></a>
          <a class="sidebar-brand brand-logo-mini" href="/user/dashboard"><img src="/assets/images/logo-mini.svg" alt="logo"></a>
        </div>
        <ul class="nav">
          <li class="nav-item profile">
            <div class="profile-desc">
              <div class="profile-pic">
                <div class="count-indicator">
                  <img class="img-xs rounded-circle " src="/img/logo.svg" alt="">
                  <span class="count bg-success"></span>
                </div>
                <div class="profile-name">
                  <h5 class="mb-0 font-weight-normal"><?=$user['login'];?></h5>
                </div>
              </div>
              <a href="#" id="profile-dropdown" data-toggle="dropdown"><i class="mdi mdi-dots-vertical"></i></a>
              <div class="dropdown-menu dropdown-menu-right sidebar-dropdown preview-list" aria-labelledby="profile-dropdown">
                <a href="/user/settings" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-settings text-primary"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Настройки</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="/user/tasks" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-onepassword  text-info"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Квесты</p>
                  </div>
                </a>
                <div class="dropdown-divider"></div>
                <a href="/user/logout" class="dropdown-item preview-item">
                  <div class="preview-thumbnail">
                    <div class="preview-icon bg-dark rounded-circle">
                      <i class="mdi mdi-logout text-success"></i>
                    </div>
                  </div>
                  <div class="preview-item-content">
                    <p class="preview-subject ellipsis mb-1 text-small">Выход</p>
                  </div>
                </a>
              </div>
            </div>
          </li>
         <hr class="sidebar-divider my-0">
      <br>
                <div class="sidebar-inner slimscrollleft" id="sidebar-main">
<div class="sidebar-stats row no-gutters align-items-center text-center border-bottom flex-shrink-0">
                        <div class="sidebar-stats__col col">
                            <a href="/user/insert" title="Пополнить">
                            <div class="sidebar-stats__title"style="color: #6c728c;font-weight: 600;">ДЛЯ ПОКУПОК</div>
            <div class="sidebar-stats__value"style="color: #5bc54d;font-size: 14px;font-weight: 600;"><?=sprintf("%.4f",$user['money_b']); ?> <span style=" font-size:9px" class="notranslate"> RUB</span></div>
                            </a>
                        </div>
                        <div class="sidebar-stats__col col border-left">
                            <a href="/user/pay" title="Вывести">
                            <div class="sidebar-stats__title"style="color: #6c728c;font-weight: 600;">ДЛЯ ВЫПЛАТ</div>
            <div class="sidebar-stats__value"style="color: #4db1ed;font-size: 14px;font-weight: 600;"><?=sprintf("%.4f",$user['money_p']); ?> <span style=" font-size:9px" class="notranslate"> RUB</span></div>
                            </a>
                        </div> </div>  
                 
          <li class="nav-item nav-category">
            <span class="nav-link">Меню</span>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/dashboard">
              <span class="menu-icon">
                <i class="mdi mdi-speedometer"></i>
              </span>
              <span class="menu-title">Мой профиль</span>
            </a>
          </li>
         </li>
          <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
              <span class="menu-icon">
                <i class="mdi mdi-laptop"></i>
              </span>
              <span class="menu-title">Баланс</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
              <ul class="nav flex-column sub-menu">
                <li class="nav-item"> <a class="nav-link" href="/user/insert">Пополнить</a></li>
                <li class="nav-item"> <a class="nav-link" href="/user/pay">Вывести</a></li>
                <li class="nav-item"> <a class="nav-link" href="/user/exchange">Обменник</a></li>
              </ul>
            </div>
          </li>
          
          
          
          
           <li class="nav-item menu-items">
            <a class="nav-link" href="/user/moneybox">
              <span class="menu-icon">
                <i class="mdi mdi-square-inc-cash"></i>
              </span>
              <span class="menu-title">Копилка</span>
            </a>
          </li>
          
          
          
          
          
          
          
         <li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basics" aria-expanded="false" aria-controls="ui-basics">
              <span class="menu-icon">
                <i class="mdi mdi-radio-tower"></i>
              </span>
              <span class="menu-title">Серфинг</span>
              <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basics">
              <ul class="nav flex-column sub-menu">
                  <li class="nav-item"> <a class="nav-link" href="/user/earn">Просмотры сайтов</a></li>
                    <li class="nav-item"> <a class="nav-link" href="/user/surf/add">Добавить ссылку</a></li>
                  <li class="nav-item"> <a class="nav-link" href="/user/teaser">Добавить тизер</a></li>
                <li class="nav-item"> <a class="nav-link" href="/user/surf/links">Мои ссылки</a></li> 
              </ul>
            </div>
          </li>
          <!-- li class="nav-item menu-items">
            <a class="nav-link" data-toggle="collapse" href="#ui-basics" aria-expanded="false" aria-controls="ui-basics">
              <span class="menu-icon">
                <i class="mdi mdi-monitor"></i>
               
              </span>
              <span class="menu-title">Баннер серфинг</span>
              <i class="menu-arrow"></i>
            </a>
           
            div class="collapse" id="ui-basics">
              <ul class="nav flex-column sub-menu">
                  <li class="nav-item"> <a class="nav-link" href="/user/surfingb">Просмотры баннеров</a></li>
                  <li class="nav-item"> <a class="nav-link" href="/user/surfban/add">Добавить баннер</a></li>
                <li class="nav-item"> <a class="nav-link" href="/user/surfban/links">Мои баннера</a></li> 
              </ul>
            </div>
          </li-->
           
		  
		  <li class="nav-item menu-items">
            <a class="nav-link" href="/user/daily">
              <span class="menu-icon">
                <i class="mdi mdi-gift"></i>
              </span>
              <span class="menu-title">Бонус</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="/user/task">
              <span class="menu-icon">
                <i class="fas fa-tasks text-orange"></i>
              </span>
              <span class="menu-title">Задания</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/tasks">
              <span class="menu-icon">
                <i class="mdi mdi-playlist-play"></i>
              </span>
              <span class="menu-title">Квесты</span>
            </a>
          </li>
           <!--li class="nav-item menu-items">
            <a class="nav-link" href="/user/kwest">
              <span class="menu-icon">
                <i class="mdi mdi-playlist-play"></i>
              </span>
              <span class="menu-title">Квесты</span>
            </a>
          </li-->
          <li class="nav-item menu-items">
            <a class="nav-link" href="/contest">
              <span class="menu-icon">
                <i class="mdi mdi-trophy"></i>
              </span>
              <span class="menu-title">Конкурсы</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/links">
              <span class="menu-icon">
                <i class="mdi mdi-chart-bar"></i>
              </span>
              <span class="menu-title">Рекламная цепочка</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/refs">
              <span class="menu-icon">
                <i class="mdi mdi-contacts"></i>
              </span>
              <span class="menu-title">Реф программа</span>
            </a>
          </li>
           <li class="nav-item menu-items">
            <a class="nav-link" href="/user/refbuy">
              <span class="menu-icon">
                <i class="mdi mdi-account-remove"></i>
              </span>
              <span class="menu-title">Реф.биржа</span>
            </a>
          </li>
            <li class="nav-item menu-items">
            <a class="nav-link" href="/user/aref">
              <span class="menu-icon">
                <i class="fa fa-user text-primary"></i>
              </span>
              <span class="menu-title">Автореферал</span>
            </a>
          </li>
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/settings">
              <span class="menu-icon">
                <i class="mdi mdi-settings"></i>
              </span>
              <span class="menu-title">Настройки</span>
            </a>
         
         
         
         
         
         
         
         
         
         
         
         
         
         
          </li>
          
        
          
          <li class="nav-item menu-items">
            <a class="nav-link" href="/user/logout">
              <span class="menu-icon">
                <i class="mdi mdi-logout text-danger"></i>
              </span>
              <span class="menu-title">Выход</span>
              
             
              <?PHP include("inc/block_teaser.php"); ?>
              
            </a>
          </li>
        </ul>
      </nav>
      
      
      
    
      
      
      <!-- partial -->
    
 
 
 
 
 
 
 
 

<?php






$rowView = $db->query('SELECT link, uid FROM db_surf_views WHERE uid = '.$uid.' AND time_end > '.time().' LIMIT 50')->fetchAll();

$visits = array();

foreach ($rowView as $rv) {
$visits[$rv['link']] = $rv;
}

$numm = $db->query("SELECT * FROM db_surf WHERE `balance` >= `price_click` AND `status` = '1'")->fetchAll();
$i = 0;
 foreach ($numm as $row) {
 if (isset($visits[$row['id']])) continue;
 $i++;
 }
$ass = $i;

if (isset($ass) == true) { $surfEye = $i-1; } else { $surfEye = 0; }

if ($surfEye > 0) {
	$countViews = '<sup class="badge bg-danger text-white p-1 ml-2">'.$surfEye.'</sup>';
} else {
	$countViews = '';
}

?>










