<?php

ini_set('error_reporting', E_ALL);
ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);

######################################
# Скрипт FastCore
# Мерчант FREE-KASSA
# Автор Jumast & Kolyaka105
######################################

# Старт сессии
session_start();

# Константа для Include
define('FastCore',true);

# Подгрузка классов системы
spl_autoload_register(function ($lfc) {
    require 'core/'.$lfc.'.php';
});

# Класс конфига
$config = new config;

# Функции
$func = new func;


$secret = $config->pyp_secret2; // Секретный ключ №2 из настроек магазина
$currency = 'RUB'; // Валюта

if($_SERVER['REQUEST_METHOD'] !== 'POST') {
	die("wrong request method");
}


if($_POST['currency'] !== $currency) {
	die("wrong currency");
}

function getIP() {
	$ip = $_SERVER['REMOTE_ADDR'];
		
	if(isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
		$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
	}
		
	if(isset($_SERVER['HTTP_X_REAL_IP'])) {
		$ip = $_SERVER['HTTP_X_REAL_IP'];
	}
	
	if(isset($_SERVER['HTTP_CF_CONNECTING_IP'])) {
		$ip = $_SERVER['HTTP_CF_CONNECTING_IP'];
	}

	$explode = explode(',', $ip);
		
	if(count($explode) > 1) {
		$ip = $explode[0];
	}
	
	return trim($ip);
}
	


$sign = hash('sha256', implode(':', [$_POST['merchant_id'], $_POST['amount'], $_POST['currency'], $secret, $_POST['order_id']]));

if (!hash_equals($_POST['sign'], $sign)) {
	die("wrong sign");
}


		$m_orderid = $_POST['order_id'];
		
		$id = intval($m_orderid); 
		$num = $db->query("SELECT * FROM `db_insert` WHERE `id` = '$id'")->numRows();

		if($num == 0) {	echo $_POST['order_id'].'|error'; exit(); }

		$data = $db->query("SELECT * FROM `db_insert` WHERE `id` = '$id'")->fetchArray();

		if($data['status'] == 1){ exit($_POST['order_id'].'|success');}
		if($data['sum'] != $_POST['amount']){ exit($_POST['order_id'].'|error');}

		$uid = $data['uid'];
		$sum = $data['sum'];
		$time = time();

		# Начисление с бонусом
		$bonx = $db->query("SELECT * FROM `db_percent` WHERE `type` = '1' ORDER BY `sum_a` BETWEEN {$sum} AND {$sum}
OR {$sum} BETWEEN `sum_a` AND `sum_b`")->fetchArray();

		$bonus = $bonx['sum_x'];
		$sum_x = ($sum + ($sum * $bonus));
		
		# Формируем реферер
		$us_data = $db->query("SELECT rid FROM db_users WHERE id = '$uid' LIMIT 1")->fetchArray();
		$rid = $us_data['rid'];
		$income = ($sum * 0.15);
		
		# Обновляем реферера
		$db->query("UPDATE `db_users` SET `money_p` = `money_p` + '$income', `income` = `income` + '$income' WHERE `id` = '$rid'");
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		//---RICH CashPoints		
$data_points = $db->query("SELECT * FROM `rich_cashpoints` WHERE `id` = '1'")->fetchArray();
if($data_points){
	if($data_points['status']>0){

		//---user
		$amount_points = $data_points['percent']*$sum;
		$amount_points = number_format($amount_points, 2, '.', '');
		$db->query("UPDATE `db_users` SET `cashpoints` = `cashpoints` + '$amount_points' WHERE `id` = '$uid'");
		
		//---upliner
		$rSelect = $db->query('SELECT rid FROM db_users WHERE id = '.$uid.' LIMIT 1')->fetchArray();
		$rid = $rSelect['rid'];
		$amount_points = $data_points['percent_ref']*$sum;
		$amount_points = number_format($amount_points, 2, '.', '');
		$db->query("UPDATE `db_users` SET `cashpoints` = `cashpoints` + '$amount_points' WHERE `id` = '$rid'");
	}
}
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		 # Обновляем пользователя
		$db->query("UPDATE `db_users` SET `sum_in` = `sum_in` + '$sum', `ref_to` = `ref_to` + '$income', `money_b` = `money_b` + '$sum_x' WHERE `id` = '$uid'");
		
		    	# Конкурс инвест
    	$contest = new contest_inv($db);
    	$contest->UpdatePoints($uid, $sum);

    	# Конкурс реф
    	$contest_ref = new contest_ref($db);
    	$contest_ref ->UpdatePoints($uid, $sum);
    	
		# Пишем в статистику
		$db->query("UPDATE `db_insert` SET `status` = '1',  `sum_x` = '$sum_x',  `end` = '$time'  WHERE `id` = '$id'");
		$db->query("UPDATE `db_stats` SET `inserts` = `inserts` + '$sum' WHERE `id` = '1'");
		
		echo $m_orderid."|success"; // Успешная оплата
		exit;
?>