<?php if (!defined('FastCore')) {
  echo ('Выявлена попытка взлома!');
  exit();
}
$type = 5;
if (!empty($pg->segment[2] === 'add')) $type = 1; // добавить
if (!empty($pg->segment[2] === 'edit')) $type = 2; // редактировать
if (!empty($pg->segment[2] === 'check')) $type = 3; // проверить
if (!empty($pg->segment[2] === 'check') && $pg->params[1] > 0) $type = 4; // выплаты
?>
<h3>Задания</h3>
<div class="btn-group mb-3 text-uppercase">
  <a class="btn btn-primary m-1" href="/<?= $adm; ?>/tasks">Список</a>
  <a class="btn btn-success m-1" href="/<?= $adm; ?>/tasks/add">Добавить</a>
  <a class="btn btn-info m-1" href="/<?= $adm; ?>/tasks/check">Проверить</a>
</div>

<?PHP
# Удаление задания
if (isset($_POST["delete"])) {
  $del_pers = intval($_POST["delete"]);
  $db->Query("DELETE FROM db_bounty WHERE id = '$del_pers'");
  echo "<div class='alert alert-success text-center'>Вы успешно удалили задание с проекта!</div>";
}
?>


<?php
if ($type == 1) {
?>
  <?PHP
  # Добавление задания
  if (isset($_POST['add'])) {
    $title = htmlspecialchars($_POST['title']);
    $description = htmlspecialchars($_POST['description']);
    $description_task = htmlspecialchars($_POST['description_task']);
    $report = htmlspecialchars($_POST['report']);
    $sum = htmlspecialchars($_POST['sum']);
    $oplata = htmlspecialchars($_POST['oplata']);

    $db->Query("INSERT INTO db_bounty (title, description, description_task, report, sum, oplata) VALUES ('$title', '$description', '$description_task', '$report', '$sum', '$oplata')");
    echo "<div class='alert alert-success text-center'>Вы успешно добавили новое задание {$title}!</div>";
  }
  ?>

  <div class="row mb-4">
    <div class="col-lg-6">
      <div class="card shadow border border-warning">
        <h5 class="card-header bg-warning">Добавление задания</h5>
        <form action="" method="post" class="card-body">
          <input type="text" name="title" placeholder="Заголовок" class="form-control mb-2" />
          <textarea type="text" name="description" placeholder="Описание" class="form-control mb-2"></textarea>
          <input type="text" name="description_task" placeholder="Краткое описание" class="form-control mb-2" />
          <input type="text" name="report" placeholder="Что нужно указать для ответа" class="form-control mb-2" />
          <input type="text" name="sum" placeholder="Сумма" class="form-control mb-2" />
          <input type="text" name="oplata" placeholder="Оплата тексом (нап. от 50 )" class="form-control mb-2" />
          <button class="btn btn-success mt-2" name="add" type="submit">Добавить задание</button>
        </form>
      </div>
    </div>
  </div>


<?
} else if ($type == 2) {
?>

  <?
  # Редактирование
  if (isset($pg->segment[2])) {
    $idr = intval($pg->params[1]);
    $db->Query("SELECT * FROM db_bounty WHERE id = '$idr' LIMIT 1");
    if ($db->NumRows() != 1) {
      echo '<div class="alert alert-danger">Задание с таким ID не найдено</div>';
      return;
    }
    if (isset($_POST['title'])) {

      $title = htmlspecialchars($_POST['title']);
      $description = htmlspecialchars($_POST['description']);
      $description_task = htmlspecialchars($_POST['description_task']);
      $report = htmlspecialchars($_POST['report']);
      $sum = htmlspecialchars($_POST['sum']);
      $oplata = htmlspecialchars($_POST['oplata']);

      $db->Query("UPDATE db_bounty SET title = '$title', description = '$description', description_task = '$description_task', report = '$report', sum = '$sum', oplata = '$oplata' WHERE id = '$idr'");
      $db->Query("SELECT * FROM db_bounty WHERE id = '$idr' LIMIT 1");
      echo '<div class="alert alert-success">Задание отредактировано</div>';
    }
    $task = $db->fetchArray();
  ?>
    <div class="card shadow border border-warning mb-4">
      <h5 class="card-header bg-warning">Задание: <b> <?= $task['title']; ?></b></h5>
      <div class="card-body">
        <form action="" method="post" class="card-body">
          <b>Заголовок:</b>
          <input type="text" name="title" placeholder="Заголовок" class="form-control mb-2" value="<?= $task['title']; ?>" />
          <b>Описание:</b>
          <textarea type="text" name="description" placeholder="Описание" class="form-control mb-2"><?= $task['description']; ?></textarea>
          <b>Краткое описание:</b>
          <input type="text" name="description_task" placeholder="Краткое описание" class="form-control mb-2" value="<?= $task['description_task']; ?>" />
          <b>Что нужно указать для ответа:</b>
          <input type="text" name="report" placeholder="Что нужно указать для ответа" class="form-control mb-2" value="<?= $task['report']; ?>" />
          <b>Сумма:</b>
          <input type="text" name="sum" placeholder="Сумма" class="form-control mb-2" value="<?= $task['sum']; ?>" />
          <b>Оплата тексом (нап. от 50 ):</b>
          <input type="text" name="oplata" placeholder="Оплата тексом (нап. от 50 руб)" class="form-control mb-2" value="<?= $task['oplata']; ?>" />
          <button class="btn btn-success mt-2" type="submit">Сохранить</button>
        </form>
      </div>
    </div>
  <?PHP
    return;
  }
  ?>
<?php
} else if ($type == 3) {
?>


  <table class="table table-sm table-striped text-center shadow border border-warning mb-4">
    <thead class="bg-warning">
      <th>ID</th>
      <th>Задание</th>
      <th>Пользователь</th>
      <th>Дата начала</th>
      <th colspan="1">Действие</th>
    </thead>
    <?
    $list_bounty = $db->query("SELECT * FROM `db_bounty_list` WHERE `status` = '0'")->fetchAll();
    foreach ($list_bounty as $task) {
      $id_bounty = $task['id_bounty'];
      $id_user = $task['uid'];
      $task_array = $db->query("SELECT * FROM db_bounty WHERE id = '$id_bounty'")->fetchArray();
      $task_users = $db->query("SELECT * FROM `db_users` WHERE id = '$id_user'")->fetchArray();
    ?>
      <tr>
        <td><?= $task['id']; ?></td>
        <td><?= $task_array['title']; ?></td>
        <td><a href="/<?= $adm; ?>/users/info/<?= $task['uid']; ?>"><?= $task_users['login']; ?></a></td>
        <td><?= date("d.m.Y в H:i", $task['date_add']); ?></td>

        <td><a class="btn btn-info btn-sm" href="/<?= $adm; ?>/tasks/check/<?= $task['id']; ?>">Проверить</a></td>
      </tr>
    <? } ?>
  </table>


<?
} else if ($type == 4) {
?>




  <?PHP
  # Одобряем задание
  $idr = intval($pg->params[1]);
  $db->Query("SELECT * FROM `db_bounty_list` WHERE id = '$idr' LIMIT 1");
  if ($db->NumRows() != 1) {
    echo '<div class="alert alert-danger">Выполненное задание с таким ID не найдено</div>';
    return;
  }
  if (isset($_POST['check'])) {
    $db->Query("SELECT * FROM db_bounty_list WHERE id = '$idr' LIMIT 1");
    $task_bounty_list = $db->fetchArray();
    $id_user = $task_bounty_list['uid'];
    $sum = htmlspecialchars($_POST['sum']);

    $db->Query("UPDATE db_users SET money_b = money_b + '$sum' WHERE id = '$id_user'");
    $db->Query("UPDATE db_bounty_list SET sum = '$sum', status = '1', date_end = " . time() . " WHERE id = '$idr'");
    echo "<div class='alert alert-success text-center'>Вы успешно одобрили задание, пользователю начислено {$sum} рублей!</div>";
  }
  if (isset($_POST['check_no'])) {
    $idr = intval($pg->params[1]);
    $db->Query("DELETE FROM db_bounty_list WHERE id = '$idr'");
    echo "<div class='alert alert-success text-center'>Вы отклонили выполнение задания!</div>";
  }
  $db->Query("SELECT * FROM db_bounty_list WHERE id = '$idr' LIMIT 1");
  $task_bounty_list = $db->fetchArray();

  $id_bounty = $task_bounty_list['id_bounty'];
  $id_user = $task_bounty_list['uid'];
  $task_array = $db->query("SELECT * FROM db_bounty WHERE id = '$id_bounty'")->fetchArray();
  $task_users = $db->query("SELECT * FROM `db_users` WHERE id = '$id_user'")->fetchArray();
  ?>
  <div class="col-lg-6">
    <div class="card shadow border border-warning mb-4">
      <div class="card-header bg-warning">Модерация задания: <b> <?= $task_array['title']; ?></b> <br> От пользователя: <b><?= $task_users['login']; ?></b> <br> Стандартная оплата: <b><?= $task_array['sum']; ?></b> <small>$</small></div>
      <div class="card-body">

        <p><b>Описание задания:</b> <?= $task_array['description']; ?></p>
        <p><b>Для отчета:</b> <?= $task_array['report']; ?></p>
        <p><b>Пользователь ответил:</b> <?= $task_bounty_list['reply']; ?></p>

        <form action="" method="post">
          <b>Сумма:</b>
          <input type="text" name="sum" placeholder="Сумма оплаты для пользователя" class="form-control mb-2" />

          <button class="btn btn-success m-1" type="submit" name="check">Подтвердить</button>
          <button class="btn btn-danger m-1" type="submit" name="check_no">Отклонить</button>
        </form>
      </div>
    </div>
  </div>

<?
} else {
?>
  <table class="table table-sm table-striped text-center shadow border border-warning mb-4">
    <thead class="bg-warning">
      <th>ID</th>
      <th>Название</th>
      <th>Описание</th>
      <th>Краткое</th>
      <th>Отчёт</th>
      <th>Оплата</th>
      <th colspan="2">Действие</th>
    </thead>
    <?
    $list = $db->query('SELECT * FROM db_bounty')->fetchAll();
    foreach ($list as $task) {
    ?>
      <tr>
        <td><?= $task['id']; ?></td>
        <td><?= $task['title']; ?></td>
        <td><?= $task['description']; ?></td>
        <td><?= $task['description_task']; ?></td>
        <td><?= $task['report']; ?></td>
        <td><?= $task['oplata']; ?></td>
        <td><a title="Редактировать" class="btn btn-warning btn-sm" href="/<?= $adm; ?>/tasks/edit/<?= $task['id']; ?>"><i class="fa fa-pencil fa-lg"></i></a></td>
        <td>
          <form action="" method="POST" class="m-0 p-0">
            <input type="hidden" name="delete" value="<?= $task['id']; ?>" />
            <button title="Удалить" class="btn btn-danger btn-sm" type="submit"><i class="fa fa-times fa-lg"></i></button>
          </form>

        </td>
      </tr>
    <? } ?>
  </table>

<? } ?>