<?php if(!defined('FastCore')){exit('Opss!');}
# Заголовки
$opt = array(
'title' => 'Восстановление пароля',
'description' => 'Восстановление пароля, вспомнить пароль, сбросить пароль');

if(isset($_SESSION['uid'])){ Header('Location: /user/dashboard'); return; }
?>
<div class="section section--content">
		<div class="section__content">
		<form action="" method="POST" class="form form--content">
<?php

# Форма регистрации
if (isset($_POST['restore']) ){

# Фильтрация
$email = $func->FMail($_POST['email']);
$time = time();
$tdel = $time + 60*15;

$db->query("DELETE FROM db_restore WHERE date_del < ?",$time);

# Определить IP адрес
$real_ip = $func->ipGet();
$ip = $func->ipValid($real_ip);

# Ошибка email
if(!empty(filter_var($email, FILTER_VALIDATE_EMAIL) !== false)) {
	
# Ищем пользователя
$uml = $db->query("SELECT * FROM db_users WHERE email = ?",$email)->numRows();
if($uml == 1){

# Пароль восстанавливался за 15 минут
$restore = $db->query("SELECT * FROM db_restore WHERE ip = ? OR email = ?",$ip,$email)->numRows();
if($restore == 0){

	$new_pass = rand(1111111,9999999);
	# Вносим запись в БД
	$db->query("INSERT INTO db_restore (email, ip, date_add, date_del) VALUES (?,?,?,?)",$email,$ip,$time,$tdel);
	$db->query('UPDATE db_users SET pass = ? WHERE email = ?',array($new_pass,$email));

	$mail = new send_mail;
	$mail->send(''.$email.'', 'Восстановление пароля', 'Ваш новый пароль - '.$new_pass.'');
	echo '<div class="alert alert-success">На ваш E-Mail адрес было отправлено сообщение.</div>';

	} else { $errors[] = 'Восстановление пароля с этого IP ('.$real_ip.') уже производилось за последние 15 минут!'; }
	} else { $errors[] = 'Пользователь с таким email не найден!'; }
	} else { $errors[] = 'Ошибка заполнения email!'; }

# Вывод ошибок
if (!empty($errors)) {
	echo '<div class="alert alert-dangerv"><i class="fa fa-warning"></i> '.array_shift($errors).'</div>';
}

}
?>
<div class="form__logo-wrap">
					<a href="/" class="form__logo">
						<img src="/img/about.png" alt="">
					</a>
					<span class="form__tagline"><?=$config->sitename;?> <br>Реклама и заработок</span>
				</div>
				<div class="form__group">
					<input class="form__input" name="email" type="email" placeholder="Введите Email" value="" required />
				</div>
				<button class="form__btn" name="restore" type="submit">Восстановить пароль</button>

				<span class="form__delimiter"></span>
				<span class="form__text form__text--center">Если вспомнили пароль,<a href="/login">войдите в аккаунт!</a></span>
				<span class="form__text form__text--center"><a href="/restore">Забыли пароль?</a></span>
                <span class="form__text form__text--center"><a href="/reg">Создать аккаунт</a></span>
				<!-- design elements -->
				<span class="block-icon block-icon--purple">
					<i class="ti ti-logout"></i>
				</span>
				<span class="screw screw--big-tr"></span>
				<span class="screw screw--big-bl"></span>
				<span class="screw screw--big-br"></span>
			</form>
			<!-- end form -->
		</div>

		<!-- animation background -->
		<div class="section__canvas section__canvas--full section__canvas--third" id="canvas3"></div>
	</div>