<?php if(!defined('FastCore')){echo ('Выявлена попытка взлома!');exit();}
$opt = array(
'title' => 'Отзывы о проекте',
'keywords' => 'отзывы сайта, рекомендация пользователей, оценка сайта, отзывы пользователей',
'description' => 'Читайте отзывы наших пользователей, или оставьте свой отзыв и оценку для сайта.'
);
?>
<div class="section section--head">
		<div class="container">
			<div class="row">
				<!-- title -->
				<div class="col-12 col-md-8 offset-md-2 col-lg-6 offset-lg-3">
					<div class="section__title">
						<h1>{!TITLE!}</h1>
					</div>
				</div>
				<!-- end title -->
			</div>
		</div>
	</div>
	<div class="container"style="min-height: 500px;">
		<section class="section">
		<div class="container">
			<div class="row row--relative">
				<div class="col-12">
					<div class="question">
						<p class="step__text">На этой странице можно прочитать отзывы пользователей о нашем проекте. 
	Мы очень рады каждому отзыву, пожалуйста пишите их максимально развернуто, например 
	опишите плюсы и минусы проекта, свои пожелания его дальнейшей работе.<br/>
	<b>Отзывы могут оставлять только активные игроки. Получите бонус 1 руб.</b></p>
						<span class="block-icon block-icon--orange">
							<i class="ti ti-info-circle"></i>
						</span>
						<span class="screw screw--lines-bl"></span>
						<span class="screw screw--lines-br"></span>
						<span class="screw screw--lines-tr"></span>
					</div>
				</div>

				<!-- animation background -->
				<div class="section__canvas section__canvas--second" id="canvas2"></div>
			</div>
		</div>
	</section>

<div class="section">
		<div class="container">
			<div class="row">
<?php 

$rows = $db->query("SELECT * FROM `db_reviews` WHERE `id` > 0")->numRows();

# Пагинация
$cnt = 10;
$nav ='/reviews';
$page = $pg->params[1] ?? 1;
$start = ((int)$page * $cnt) - $cnt;
$str_pag = ceil($rows / $cnt);


if($rows == 0) {
	echo '<div class="alert alert-dangerv text-center">Отзывы еще никто не оставлял, можете оставить свой отзыв!</div>';
}
else {
    
$reviews = $db->query('SELECT * FROM `db_reviews` WHERE `hide` = 0 ORDER BY `id` DESC LIMIT '.$start.','.$cnt.'')->fetchAll();
foreach ($reviews as $ur) {
$admtext = null ?? $ur['adm_text'];
?>
	<div class="col-12">
					<!-- step -->
					<div class="step">
					   
						<h3 class="step__title"><?=$ur['login']; ?></h3>
						<p class="step__text"><?=$ur['text']; ?></p>
						<? if ($admtext) { ?>
<div class="alert alert-warning text-dark mb-0 p-2" style="font-size: 90%;"><h5 class="mb-1">Admin:</h5> <?=$ur['adm_text']; ?></div>
<? } ?>
                          <br/>
						 <span class="badge float-end" title="дата размещения"style="background-color: #47346f;"><i class="far fa-calendar-alt"></i> <?=date("d.m.Y в H:i",$ur['date']); ?></span>
						<span class="block-icon block-icon--orange">
							<i class="ti ti-number"></i>
						</span>
						<span class="screw screw--lines-bl"></span>
						<span class="screw screw--lines-br"></span>
						<span class="screw screw--lines-tr"></span>
					</div>
					<!-- end step -->
				</div> 
<?php
	}

	# Выводим пагинацию
	if ($rows > $cnt) {
	echo '<ul class="pagination post-pagination"><li class="page-item"><a class="page-link" href="'.$nav.'">«</a></li>';
	for ($i = 1; $i <= $str_pag; $i++){
		echo '<li class="page-item"><a class="page-link" href="'.$nav.'/p/'.$i.'">'.$i.'</a></li>';
		}
	echo '<li class="page-item"><a class="page-link" href="'.$nav.'/p/'.$str_pag.'">»</a></li></ul>';
	}
}
?>
</div> 
 </div> </div> 
 
<?php

$limit = $db->query("SELECT * FROM db_reviews WHERE uid = '$uid'")->numRows();

$comm = $db->query("SELECT * FROM db_users WHERE id = '$uid'")->fetchArray();
$invest = $comm['sum_in'] ?? '0';
$login = $comm['login'] ?? 'Guest';

# Добавляем отзыв
if(isset($_POST['asd'])) {

$date = time();
$text = filter_var($_POST['content'], FILTER_SANITIZE_STRING);
if($limit >= 1) {
	$err[]='Вы уже оставляли отзыв! Спасибо за активность!'; }
elseif (!isset($_SESSION["login"])) {
	$err[]='Необходимо пройти авторизацию, прежде чем добавить отзыв!'; }
elseif($invest <= 9.99) {
	$err[]='Отзыв могут оставлять только активные пользователи, пополнившие баланс на сумму от 50 руб!'; }
elseif(mb_strlen($text) < 30 or mb_strlen($text) > 1000) {
	$err[]='Длина отзыва не может составлять минимум 30 максимум 1000 символов'; }
else {
	$db->query('INSERT INTO db_reviews (login, uid, text,`date`) VALUES (?,?,?,?)', array($login, $uid, $text, $date)); // Сохраняем
	$sump = '1.50';
	$db->query("UPDATE db_users SET money_b = money_b + '$sump' WHERE id = '$uid'");

	echo '<div class="alert alert-dangerv">Ваш отзыв успешно добавлен!</div>'; }
}
# ошибки
if (!empty($err)) {
	echo '<div class="alert alert-dangerv"><i class="fa fa-exclamation-triangle mr-3"></i> '.array_shift($err).'</div>';
}
?>

<?php
if(!isset($_SESSION["login"])) {
 // Скрыть форму
} 
elseif($limit >=1) { 
 // Лимит отзывов
}
else { 
?>
<div class="container">
			<div class="row">
 <div class="modal__content"style="max-width: 800px;margin: 20px auto;">
					

					<h4 class="question__title">Оставьте свой отзыв!</h4>

					<p class="step__text">Для нас очень важно ваше мнение о проекте!</p>
					<form method="POST" action=""  class="modal__form">
						<div class="form__group">
							<textarea name="content" rows="1" class="form__textarea" placeholder="Ваш отзыв"></textarea>
						</div>
						<button class="form__btn" name="asd" type="submit">Написать</button>
					</form>
					<span class="screw screw--big-tr"></span>
					<span class="screw screw--big-tl"></span>
					<span class="screw screw--big-bl"></span>
					<span class="screw screw--big-br"></span>
					
				</div></div> 
<? } 

?> 

					</div>